package cn.com.qmth.examcloud.tool.service.batch_create_user.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

@Setter
@Getter
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ExcelProperty(value = "姓名", index = 0)
    private String userName;

    @ExcelProperty(value = "登录名", index = 1)
    private String loginName;

    private Long roleId;

    @ExcelProperty(value = "角色", index = 2)
    private String roleName;

    @ExcelProperty(value = "考试权限", index = 3)
    private String refExam;

    private List<Long> refExamIds;

    @ExcelProperty(value = "课程权限", index = 4)
    private String refCourse;

    private List<Long> refCourseIds;

    @ExcelProperty(value = "学习中心权限", index = 5)
    private String refOrg;

    private List<Long> refOrgIds;

    @ExcelProperty(value = "密码", index = 6)
    private String psw;

    private String phoneNumber;

}
